<?php 
$equipe_id = $_GET['equipe'];
$empre = $_GET['emp'];
$valor_parcelas = $_GET['valor_parcelas'];

// echo "<pre>";
// print_r($_GET);
// echo "</pre>";


$teste_valor = explode(".", $valor_parcelas);

 if(count($teste_valor) == 1){
 
        $valor_parcelas = str_replace("R$ ", "", $valor_parcelas);
        $valor_parcelas = str_replace(",", ".", $valor_parcelas);
        $valor_parcelas = (float)$valor_parcelas;

 }else{

        $valor_parcelas = str_replace(".", "", $valor_parcelas);
        $valor_parcelas = str_replace(",", ".", $valor_parcelas);
        $valor_parcelas = (float)$valor_parcelas;
}

function buscar_comissao_por_corretor($equipe_id, $valor_repasse){

        include "conexao.php";
        
        $query_amigo =  "SELECT percentual_corretores FROM comissao_equipe WHERE equipe_id = '$equipe_id' ORDER BY idcomissaoequi DESC LIMIT 1";

        $executa_query = mysqli_query ($db,$query_amigo);
                 
        while ($reg = mysqli_fetch_assoc($executa_query)) {//--verifica se s«ªo amigos
           
                $percentual_corretores       = $reg["percentual_corretores"];

        }

        $array_comissao = explode("|", $percentual_corretores);

        foreach ($array_comissao as $res) {
              $cada_p = explode("-", $res);

              $v_cada_c = ($valor_repasse * ($cada_p[1] / 100));
 
              $corretor[$cada_p[0]] = $v_cada_c;

        }

         

         return $corretor;


}


function buscar_repasse($emp){
    include "conexao.php";

    $query_amigo = "SELECT percentual FROM repasse_equipe WHERE id_empreendimento = '$emp' ORDER BY idrepasse DESC limit 1";


  $executa_query = mysqli_query ($db,$query_amigo);
                
    while ($reg = mysqli_fetch_assoc($executa_query)) {//--verifica se s«ªo amigos
           
             $percentual       = $reg["percentual"];


     }

     return $percentual;

}


$repasse = (float)buscar_repasse($empre);

$valor_repasse = ($valor_parcelas * $repasse) / 100; 
$valor_repasse_formatado = "R$ " . number_format($valor_repasse, 2, ",",".");


function tipo_cadastro($cliente_id){
    include "conexao.php";
    $dados = "";
    $query_amigo = "SELECT * FROM cliente_tipo
                    INNER JOIN tipo_cliente ON cliente_tipo.idtipo = tipo_cliente.idtipo
                    where idcliente = '$cliente_id'";
    $executa_query = mysqli_query ($db,$query_amigo);
                
    while ($reg = mysqli_fetch_assoc($executa_query)) {//--verifica se s«ªo amigos
           
             $descricao_tipo       = $reg["descricao_tipo"];

             $dados.= $descricao_tipo." / ";

     }

     return $dados;

}


      include "conexao.php";
                $query_amigo = "SELECT * FROM cliente
                 where imob_id = '$equipe_id'  or idcliente = '$equipe_id'  order by nome_cli Asc ";


                $executa_query = mysqli_query ($db,$query_amigo) or die ("Erro ao listar empreendimento");
                
                
            while ($reg = mysqli_fetch_assoc($executa_query)) {//--verifica se s«ªo amigos
           
             $idcliente       = $reg["idcliente"];
             $nome_cli        = $reg["nome_cli"];
          
             $tipo_retorno = tipo_cadastro($idcliente);
 

$dados["corretores"][$idcliente] =  $nome_cli . " - $tipo_retorno";


}


$v_cada_corretor = buscar_comissao_por_corretor($equipe_id,$valor_repasse);


foreach ($v_cada_corretor as $keys => $value) {
    $v_cada_corretor_formatado[$keys] = "R$ " . number_format($value, 2, ",",".");

}


$dados['percentual'] = $repasse . " %";
$dados['valor_repasse'] = $valor_repasse;
$dados['valor_repasse_formatado'] = $valor_repasse_formatado;
$dados['v_cada_corretor'] = $v_cada_corretor;
$dados['v_cada_corretor_formatado'] = $v_cada_corretor_formatado;

echo json_encode($dados);

?>